# Migrate Process Skip

When processing lists of data, the migration system has very specific ideas of what’s considered “empty” or not: zero = false, empty string, and NULL, which of these means ”empty”? Drupal has a “skip_on_empty” migration process plugin, but it may not give the desired result if you don’t know what you’re doing. This module provides a few different mechanisms to define what is “empty” and should be skipped.

## Usage

This module provides the following alternatives:

 * **skip_on_empty_value**: It's like 
 skip_on_empty, but uses `empty($value)` instead, allowing it to work on `FALSE`, empty strings, and empty arrays.
 * **skip_on_empty_array**: Is a special case of `skip_on_empty`, but allows the array to be populated with values considered empty by the `empty()` function.

Use like the skip_on_empty process plugin:

```yaml
  field_title:
    -
      plugin: skip_on_empty_value
      method: row
  field_body:
    -
      plugin: skip_on_empty_array
      method: process
```

## Installation

Install like any other module.

```shell
composer require drupal/migrate_process_skip
```

## Requirements

* Drupal 8 or 9.